Я создал jssh для FF 4.0b1 и упаковал его как xpi и установил его в свой браузер, при запуске javascript, который проверяет теги для определенной фразы в событиях onclick или onfocus, я получаю NS_ERROR, в котором говорится, что компонент недоступен, видел ли кто-нибудь это на данный момент? Это происходит только тогда, когда тег либо не является первым на странице, либо не первым, любая помощь будет оценена.

1
Jesus Ramos 1 Авг 2010 в 03:53

2 ответа

Лучший ответ

JSSh - это неподдерживаемый код, который теперь исключен из сборок firefox и должен быть загружен отдельно, в настоящее время никто не занимается разработкой, поэтому похоже, что JSSh просто умирает. Хотя эта проблема была связана с ошибкой в движке javascript 4.0b1 и с тех пор решена.

1
Jesus Ramos 17 Янв 2011 в 15:25

Новый xpi JSSH для Mozila 4.0 и выше (v21) загружен в http://abstracta.com.uy/en/descargas-2.html

Эта версия JSSH разработана поверх MozRepl и точно имитирует консоль JSSH SourceCode открыт по адресу https://subversion.assembla.com/svn/mozrepl-jssh

0
Colorator 12 Июн 2013 в 14:52